6.0.0-git
2019-03-20

[#11309] Kolab_Storage removes unknown XML fields
Summary Kolab_Storage removes unknown XML fields
Queue Horde Framework Packages
Queue Version Git develop
Type Bug
State Resolved
Priority 1. Low
Owners wrobel (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-07-23 (2431 days ago)
Due
Updated 2012-08-29 (2394 days ago)
Assigned
Resolved 2012-08-21 (2402 days ago)
Milestone
Patch No

History
2012-08-29 12:48:34 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 9d4e2807d9956f494eaef4d809afc065612edcea
Author: Gunnar Wrobel <p@rdus.de>
Date:   Sun Aug 19 18:52:46 2012 +0200

     [gwr] Avoid overwriting unknown XML elements (Bug #11309)

  .../Kolab_Storage/doc/Horde/Kolab/Storage/TODO     |    2 --
  .../lib/Horde/Kolab/Storage/Data/Format/Mime.php   |   16 ++++++++++++++--
  .../lib/Horde/Kolab/Storage/Data/Modifiable.php    |    5 +++++
  .../Horde/Kolab/Storage/Data/Parser/Structure.php  |    2 +-
  framework/Kolab_Storage/package.xml                |    4 ++--
  5 files changed, 22 insertions(+), 7 deletions(-)

http://git.horde.org/horde-git/-/commit/9d4e2807d9956f494eaef4d809afc065612edcea
2012-08-22 14:59:27 Thomas Jarosch Comment #4 Reply to this comment
Should be fixed.
Tested with turba, works fine. Thanks!

2012-08-21 06:38:06 Gunnar Wrobel Comment #3
Assigned to Gunnar Wrobel
State ⇒ Resolved
Reply to this comment
Should be fixed.
2012-08-21 06:29:04 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (develop):

commit 9d4e2807d9956f494eaef4d809afc065612edcea
Author: Gunnar Wrobel <p@rdus.de>
Date:   Sun Aug 19 18:52:46 2012 +0200

     [gwr] Avoid overwriting unknown XML elements (Bug #11309)

  .../Kolab_Storage/doc/Horde/Kolab/Storage/TODO     |    2 --
  .../lib/Horde/Kolab/Storage/Data/Format/Mime.php   |   16 ++++++++++++++--
  .../lib/Horde/Kolab/Storage/Data/Modifiable.php    |    5 +++++
  .../Horde/Kolab/Storage/Data/Parser/Structure.php  |    2 +-
  framework/Kolab_Storage/package.xml                |    4 ++--
  5 files changed, 22 insertions(+), 7 deletions(-)

http://git.horde.org/horde-git/-/commit/9d4e2807d9956f494eaef4d809afc065612edcea
2012-07-23 08:05:05 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Kolab_Storage removes unknown XML fields
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

the new Kolab_Storage subsystem removes unknown XML fields on Kolab objects.
This violates the Kolab specification and will break other clients 
which store additional data.

It's already an item in the Kolab_Storage "TODO" text file. Since it's 
a severe regression compared to Horde 4, it's good to track it as an 
official bug.

Cheers,
Thomas

Saved Queries